Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eSIDChild
    SID_NONE = 0
    SID_WH = 1
    SID_QM1 = 2
    SID_QM2 = 3
    SID_ARAM = 4
End Enum
<DefaultClassOptions()> _
<NavigationItem("RealEstateStocks")> _
Public Class ImmovablesCostRecord
    Inherits BaseObject
    Private _Immovables As Immovables 'Melyik ingatlanhoz tartozik
    Private _ShortName As String 'Megnevezés
    Private _SID As String 'Egyedi azonosítója a mérőórának
    Private _SIDChild As eSIDChild
    Private _ImmovablesCostRecordGroup As ImmovablesCostRecordGroup
    Private _Description_ContactRows As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property Immovables As Immovables
        Get
            Return _Immovables
        End Get
        Set(value As Immovables)
            SetPropertyValue("Immovables", _Immovables, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property SID As String
        Get
            Return _SID
        End Get
        Set(value As String)
            SetPropertyValue("SID", _SID, value)
        End Set
    End Property
    Property SIDChild As eSIDChild
        Get
            Return _SIDChild
        End Get
        Set(value As eSIDChild)
            SetPropertyValue("SIDChild", _SIDChild, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description_ContactRows As String
        Get
            Return _Description_ContactRows
        End Get
        Set(value As String)
            SetPropertyValue("Description_ContactRows", _Description_ContactRows, value)
        End Set
    End Property

    Property ImmovablesCostRecordGroup As ImmovablesCostRecordGroup
        Get
            Return _ImmovablesCostRecordGroup
        End Get
        Set(value As ImmovablesCostRecordGroup)
            SetPropertyValue("ImmovablesCostRecordGroup", _ImmovablesCostRecordGroup, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    <Association("ImmovablesCostRecord-ImmovablesCostRecordEvents", GetType(ImmovablesCostRecordEvents))> _
    ReadOnly Property ImmovablesCostRecordEvents As XPCollection(Of ImmovablesCostRecordEvents)
        Get
            Return GetCollection(Of ImmovablesCostRecordEvents)("ImmovablesCostRecordEvents")
        End Get
    End Property
End Class
